#
# spec file for package xfce4-screenshooter
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.7.0

Name:           xfce4-screenshooter
Version:        1.8.2
Release:        3.5
Summary:        Screenshot Tool for the Xfce Desktop
License:        GPL-2.0+
Group:          Productivity/Graphics/Other
Url:            http://goodies.xfce.org/projects/applications/xfce4-screenshooter
Source:         http://archive.xfce.org/src/apps/xfce4-screenshooter/1.8/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  xfce4-dev-tools
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
Recommends:     %{name}-lang = %{version}
# needs xfhelp4
Requires:       libxfce4ui-tools
Suggests:       xfce4-panel-plugin-screenshooter
Obsoletes:      xfce4-screenshooter-doc <= 1.8.1
Provides:       xfce4-screenshooter-doc = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xfce4 Screenshooter is a tool for taking screenshots, it can capture the entire
screen, the active window or a selected region. Screenshots may be taken with a
user-specified delay and the resulting images can be saved to a PNG file,
copied it to the clipboard, opened with another application, or uploaded to
ZimageZ, a free online image hosting service.

%package -n xfce4-panel-plugin-screenshooter
Summary:        Screenshot Plugin for the Xfce Panel
Group:          System/GUI/XFCE
Requires:       xfce4-panel >= %{panel_version}
Requires:       xfce4-screenshooter = %{version}

%description -n xfce4-panel-plugin-screenshooter
This package contains the xfce4-screenshooter Xfce panel plugin.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libscreenshooterplugin.la

%find_lang xfce4-screenshooter %{?no_lang_C}

%suse_update_desktop_file -r xfce4-screenshooter -G 'Screenshot Tool' Utility X-SuSE-DesktopUtility GTK

%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README TODO
%{_bindir}/xfce4-screenshooter
%{_datadir}/icons/hicolor/*/apps/applets-screenshooter.*
%{_datadir}/applications/xfce4-screenshooter.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/xfce4-screenshooter.appdata.xml
%{_mandir}/man1/xfce4-screenshooter.1*

%files -n xfce4-panel-plugin-screenshooter
%defattr(-,root,root,-)
%{_libdir}/xfce4/panel/plugins/libscreenshooterplugin.so
%{_datadir}/xfce4/panel/plugins/screenshooter.desktop

%files lang -f %{name}.lang

%changelog
* Tue Jan 27 2015 gber@opensuse.org
- update to version 1.8.2
  - Enhancements:
  - Add imgur.com as possible upload option (bxo#6899)
  - Add appdate file (bxo#11202)
  - Make region selection with compositing on more usable on
    darker backgrounds (bxo#9592)
  - Updated translations
  - Bugs fixed:
  - Fix keyboard navigation between choices (bxo#11325)
  - Fix build with automake 1.13 (bxo#10030)
  - Use filename-friendly date format for saved files (bxo#8445)
  - drop obsolete xfce4-screenshooter-fix-plugin-linking.patch
    xfce4-screenshooter-use-docdir.patch,
    xfce4-screenshooter-automake-1.13.patch,
    xfce4-screenshooter-automake-1.14.patch
  - drop -doc subpackage, documentation has been removed
* Thu Oct 16 2014 dimstar@opensuse.org
- Add xfce4-screenshooter-automake-1.14.patch: Fully intialize
  before doing furher actions. Works around an issue with AM 1.14.
* Wed Mar 13 2013 pgajdos@suse.cz
- builds with automake 1.13
  * automake-1.13.patch
* Mon May  7 2012 gber@opensuse.org
- fix xfce4-screenshooter-fix-plugin-linking.patch so the panel
  plugin is linked against libscreenshooter
- fix help function by depending on libxfce4ui-tools which provides
  xfhelp4 again
* Thu May  3 2012 gber@opensuse.org
- update to version 1.8.1
  - adapting the panel plugin to xfce4-panel 4.9+
  - add a clipboard CLI option
  - panel plugin is now built as a library
  - fix crash with some window managers
  - fix crash with NULL save path
  - install documentation to new location
  - add explicit -lm link to LIBADD
  - plugin installation location compatible with xfce4-panel 4.9+
  - update outdated man page
- rebased xfce4-screenshooter-1.8.0-use-docdir.patch as
  xfce4-screenshooter-use-docdir.patch
- added xfce4-screenshooter-fix-plugin-linking.patch in order to
  link the plugin module correctly
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- added xfce4-screenshooter-fix-crash-with-some-wms.patch which
  fixes a crash when taking a screenshot of a window with some
  window managers (bxo#8080)
- correct dependencies
* Wed Mar 14 2012 gber@opensuse.org
- recommend -lang subpackage
* Fri Oct 21 2011 gber@opensuse.org
- added xfce4-screenshooter-1.8.0-use-docdir.patch in order to
  allow installation of documentation under docdir
- install HTML documentation under
  /usr/share/xfce4/xfce4-screenshooter/html
* Fri Oct 14 2011 gber@opensuse.org
- recommend -doc subpackage
* Mon Sep 19 2011 gber@opensuse.org
- added xfce4-screenshooter-fix-libm-underlinking.patch in order to
  explicitly link against libm
* Mon Aug  1 2011 gber@opensuse.org
- update to version 1.8.0
  - capture the cursor using XFIXES
  - generate valid BBCode
  - further bugfixes and translation updates
* Fri Feb 18 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Thu Feb  3 2011 gber@opensuse.org
- build documentation
* Thu Feb  3 2011 gber@opensuse.org
- update to current git snapshot (1.7.9.99_git20110203)
  - port to current exo
  - port from libxfcegui4 to libxfce4ui
  - many bugfixes
  - translation updates
- dropped obsolete xfce4-screenshooter-1.7.9-fix-crash.patch and
  xfce4-screenshooter-1.7.9-use-system-exo.patch
* Mon Dec 27 2010 gber@opensuse.org
- correct group and URL
* Sun Dec  5 2010 gber@opensuse.org
- Initial packaging
